Set up a passkey (start)
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/security-setup/passkey/register/start \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendly_name": "My phone"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/security-setup/passkey/register/start"
payload = {
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendly_name": "My phone"
}
headers = {
"x-program-id": "<x-program-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_token: '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b',
friendly_name: 'My phone'
})
};
fetch('https://api.next.orenda.finance/v1/auth/security-setup/passkey/register/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"publicKey": {
"rp": {
"id": "next.orenda.finance",
"name": "Orenda"
},
"user": {
"id": "dXNlci1jdXN0XzNmOWEyYjdl",
"name": "ada.lovelace@example.com",
"displayName": "Ada Lovelace"
},
"challenge": "q1n9bXJ0c2VjdXJlY2hhbGxlbmdl",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": -7
}
],
"timeout": 60000,
"attestation": "none"
}
}
}{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}{
"success": false,
"code": "SESSION_EXPIRED",
"message": "Challenge session has expired"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "email is required"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Security setup
Set up a passkey (start)
Begins passkey registration for a user finishing a SECURITY_SETUP_REQUIRED challenge. Send the session_token; you get back publicKey creation options to pass to the browser’s navigator.credentials.create(). No bearer token — this runs before the user has tokens.
POST
/
v1
/
auth
/
security-setup
/
passkey
/
register
/
start
Set up a passkey (start)
Headers
Identifies the program. Can also be sent as the programId query parameter.
The web origin of your app. Browsers send this automatically; it's used to pick the relying party.
Body
application/json
⌘I